Name:     click-radio
Version:  0.5.0
Release:  %mkrel 2

Summary:  Click Radio
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  WTFP
Group:    Sound
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: yad
Requires: mpv
Requires: ffmpeg
Requires: streamripper
Requires: cdrkit
Requires: libnotify
Requires: normalize
Requires: pulseaudio
Requires: bc
Requires: gtk+3.0
Requires: python3
Requires: xapps
Requires: python3-xapps-overrides 
Requires: python3-pystray
Obsoletes: %{name} < %{version}

%description
A lightweight and simple gui interface media app
Features include:
* Music radio streamer
* Streamripper recorder
* Plays local music files
* Creates a music playlist
* CD-ROM music player
* CD-R music burner
* Youtube media downloader


%prep
%setup -q

%build

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-Multimedia-Sound;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop
chmod a+x %buildroot%{_datadir}/applications/*.desktop


%post
%update_menus
%update_desktop_database
%update_mime_database

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENCE README.md AUTHORS
%{_bindir}/%{name}
%_datadir/%{name}
%_datadir/metainfo/%{name}.appdata.xml
%_datadir/mime/packages/%{name}.xml
%_datadir/applications/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/*.png

%changelog
* Sun Mar 04 2024 Ken <lxgator at gmail.com> 0.5.0-2pclos2024
- Fix removal of trash /tmp files left over from panel icon

* Sun Mar 03 2024 Ken <lxgator at gmail.com> 0.5.0-1pclos2024
- rewrite for wayland adoption





